net.sourceforge.jnlp.util

## Class StreamUtils

- java.lang.Object
- - net.sourceforge.jnlp.util.StreamUtils

    public class StreamUtils
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`StreamUtils()`

### Method Summary

Methods
`static void` `closeSilently(java.io.Closeable stream)` Closes a stream, without throwing IOException.
`static java.lang.String` `readStreamAsString(java.io.InputStream stream)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StreamUtils

    public StreamUtils()

### Method Detail

#### closeSilently

    public static void closeSilently(java.io.Closeable stream)

Closes a stream, without throwing IOException. In case of IOException, prints the stack trace to System.err.

Parameters:
  `stream` - the stream that will be closed

#### readStreamAsString

    public static java.lang.String readStreamAsString(java.io.InputStream stream)
                                               throws java.io.IOException

Throws:
  `java.io.IOException`